Subject: bug#46299: 28.0.50; Value of tab-bar-show not respected in new frames.

From: Juri Linkov <[email-masked]>
Date: Sun, 14 Feb 2021 20:44:20 +0200

>> But how would that cause visual glitches, such as the tab bar
>> splitting into two lines, menu bar not showing and general visual
>> issues (lines jumping around etc.). This worries me a bit, because I
>> don't understand the problem (just worked around it by not running the
>> (tab-bar-mode -1) (tab-bar-mode 1) sequence. Did you try the recipe I
>> reported above?
>
> Yes, I see the same.  A simpler test case is:
>
>   (tab-bar-mode -1)
>   (tab-bar-mode 1)
>   (tab-bar-mode -1)

More low-level test case:

  (set-frame-parameter nil 'tab-bar-lines 0)
  (set-frame-parameter nil 'tab-bar-lines 1)
  (set-frame-parameter nil 'tab-bar-lines 0)

that breaks the menu bar.  I don't know if this is a bug in display code,
or it's required to use 'redisplay' in-between.